#include "compare.h"

void process_input(char *filename, char *filetype, char *outtype)
{
 int out;
 struct particle *p_internal,*p_test;

 p_internal=NULL;

  original=(char *)malloc(strlen(filename)*sizeof(char));

  if(original==NULL) { printf("Error: Could not allocate memory! Exiting...\n");
                       exit(0);
                     }
 
 sprintf(original,"%s",filename);

 if(strncmp(outtype,"POS",3)==0) out=1;
 else if(strncmp(outtype,"VEL",3)==0) out=2;
 else if(strncmp(outtype,"PVEL",4)==0) out=3;
 else if(strncmp(outtype,"PVEC",4)==0) out=4;
 else if(strncmp(outtype,"ALL",3)==0) out=5;

 if((strncmp(filetype,"P",1))==0) p_internal=read_data(filename);
 else if((strncmp(filetype,"SNAP",4))==0) p_internal=read_snap(filename);
 else if((strncmp(filetype,"ZENO",4))==0) p_internal=read_zeno(filename);

 output(filename,out,p_internal);
 

printf("\nFile successfully converted. Output in ");
 switch(out){
  case 1: printf("%sxyz.\n",original); break;
  case 2: printf("%sVxVyVz.\n",original); break;
  case 3: printf("%sxyVz.\n",original); break;
  case 4: printf("%sxyzVxVyVz.\n",original); break;
  case 5: printf("%sxyz, %sVxVyVz,%sxyVz and %sxyzVxVyVz.\n",original,original,original,original); break;
  default: break;
 }
}































































































































